<?xml version="1.0" encoding="UTF-8"?>
<odoo>
  <record id="broadband_isp_info_form" model="ir.ui.view">
    <field name="name">broadband.isp.info.form</field>
    <field name="model">broadband.isp.info</field>
    <field name="arch" type="xml">
      <form string="Broadband ISP Info">
        <group>
          <field name="type"/>
          <group name="Delivery Address Info" string="Delivery address">
            <field name="delivery_street"/>
            <field name="delivery_street2"/>
            <field name="delivery_zip_code"/>
            <field name="delivery_city"/>
            <field name="delivery_state_id"/>
            <field name="delivery_country_id"/>
          </group>

          <group name="Service Address Info" string="Service address">
            <field name="service_street"/>
            <field name="service_street2"/>
            <field name="service_zip_code"/>
            <field name="service_city"/>
            <field name="service_state_id"/>
            <field name="service_country_id"/>
          </group>

          <group name="Invoicing Info" string="Invoice address">
            <field name="invoice_street"/>
            <field name="invoice_street2"/>
            <field name="invoice_zip_code"/>
            <field name="invoice_city"/>
            <field name="invoice_state_id"/>
            <field name="invoice_country_id"/>
          </group>

          <group name="Change Address Info"
                 attrs="{'invisible': [('type','!=','location_change')]}">
            <field name="service_supplier_id"/>
            <field name="mm_fiber_coverage"/>
            <field name="vdf_fiber_coverage"/>
            <field name="adsl_coverage"/>
            <field name="previous_contract_phone"/>
            <field name="previous_contract_address"/>
            <field name="previous_contract_pon"/>
            <field name="previous_contract_fiber_speed"/>
          </group>

          <group name="Portability Info"
                 attrs="{'invisible': [('type','=','new')]}">
            <field name="previous_service"/>
            <field name="phone_number"/>
            <field name="previous_phone_number"/>
            <field name="keep_phone_number"/>
            <field name="no_previous_phone_number"
                   attrs="{'invisible': [('no_previous_phone_number','=',False)],
                           'readonly':True}"/>
            <field name="previous_provider"/>
            <field name="previous_owner_vat_number"/>
            <field name="previous_owner_first_name"/>
            <field name="previous_owner_name"/>
          </group>
        </group>
      </form>
    </field>
  </record>
</odoo>
